package it.arnaldo.unibs.tamagolem;

public class ElementLink {
    private final int value;
    private final Element element;

    public ElementLink(int value, Element element) {
        this.value = value;
        this.element = element;
    }

    public int getValue() {
        return value;
    }

    public Element getElement() {
        return element;
    }

    public int getTotalStrength() {
        return value >= 0 ? value : 0;
    }
}
